# 微信支付
wechat:
  payment:
    notifyUrl: https://api.yeswash.cn/api/payment/notify
    refundNotifyUrl: https://api.yeswash.cn/api/payment/refundNotify
  fapiao:
    notifyUrl: https://api.yeswash.cn/api/invoice/notify

spring:
  datasource:
    url: jdbc:mysql://127.0.0.1:3306/car_wash?serverTimezone=Asia/Shanghai
    username: kym
    password: qYhQLZLP6e7paVmQN5foEwRYJ1yFNpwM
    driver-class-name: com.mysql.cj.jdbc.Driver
    druid: #以下是全局默认值，可以全局更改
      #监控统计拦截的filters
      filters: stat,slf4j
      #配置初始化大小/最小/最大
      initial-size: 2
      min-idle: 2
      max-active: 20
      #获取连接等待超时时间
      max-wait: 60000
      #间隔多久进行一次检测，检测需要关闭的空闲连接
      time-between-eviction-runs-millis: 60000
      #一个连接在池中最小生存的时间
      min-evictable-idle-time-millis: 300000
      validation-query: SELECT 'x'
      test-while-idle: true
      test-on-borrow: false
      test-on-return: false
      #打开PSCache，并指定每个连接上PSCache的大小。oracle设为true，mysql设为false。分库分表较多推荐设置为false
      pool-prepared-statements: false
      max-pool-prepared-statement-per-connection-size: 20
  data:
    redis:
      port: 6379
      host: 127.0.0.1
      password: OPYCJ3mJpaU4IsP7ZeIyaus6FtHjLYmhNDGteuRc1gIFCAm7wi
      database: 10
      lettuce:
        pool:
          min-idle: 1
        cluster:
          refresh:
            adaptive: true
            period: 20
  cache:
    type: redis
    redis:
      # 缓存过期时间：7天
      time-to-live: 604800
  rabbitmq:
    host: 127.0.0.1
    port: 5680
    username: kym
    password: vMRbZPfunLX8kDwfyy737y1Ahzfgr5ib
    virtual-host: /
    publisher-returns: true
    publisher-confirms: true
    listener:
      simple:
        acknowledge-mode: manual
        retry:
          enabled: true
          max-attempts: 3
          initial-interval: 3000ms
          max-interval: 6000ms
          multiplier: 2
        consumer-batch-enabled: true #开启批量消费
        batch-size: 100 #每次批量消费大小

kym:
  notify-email: zaizai@kuaiyuman.cn,skyline@kuaiyuman.cn
  domain: https://api.yeswash.cn
